Skip to navigation

Inquire for the latest status of a beneficiary validation using UETR

View as Markdown

The API service responds with the latest beneficiary validation status of the unique end-to-end transaction reference (UETR) you inquire with.

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Path parameters

uetrstringRequiredformat: "^[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89ab][a-f0-9]{3}-[a-f0-9]{12}$"

Unique end-to-end transaction reference

Query parameters

client_idstringRequired
Your unique identification, same as the identification you use for OAuth token generation, Citi shared with you during your CitiConnect API onboarding
end_to_end_idstringOptional
Client provided reference number

Response headers

request_idstringOptional
Citi's unique identification for your request

Response

OK
uetrstringformat: "^[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89ab][a-f0-9]{3}-[a-f0-9]{12}$"

UUID v4 format unique end-to-end transaction reference

methodobject
statusobject
end_to_end_idstringOptional1-35 characters

Client provided reference number.

  • For India IMPS and UPI, this field is mandatory and max length is 16
  • For US EWS,this field is not applicable
  • For UK,this field is not applicable
  • For IN PAN,this field is not applicable
  • For Pay2China, this field is not required
debtorobjectOptional
creditorobjectOptional
transactionobjectOptional
creation_date_timedatetimeOptional

Request Creation Date and Time in UTC generated by CitiConnect API UTC (ISO 8601 YYYY-MM-DDTHH:MM:SS.sssZ)

network_idstringOptional1-128 characters

Transaction identification generated for or by the network

  • For India IMPS and UPI, this field is optional and max length is 12
  • For US EWS,this field is not applicable
  • For UK,this field is not applicable
  • For IN PAN,this field is not applicable
  • For Pay2China, this field is not applicable
local_referencestringOptional1-35 characters

This is a Citi generated payment reference which is included in the ‘Bank Reference’ field of bank statement posting for itemized transaction.

  • To utilize the field in production, please contact with implementation manager
  • For India IMPS and UPI, local_reference is optional
  • For US EWS,this field is not applicable
  • For UK,this field is not applicable
  • For IN PAN,this field is not applicable
reasonsobjectOptional
responseobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
405
Method Not Allowed Error
500
Internal Server Error